package fynewidget

import (
	"image/color"

	"fyne.io/fyne/widget"

	"fyne.io/fyne"
)

// OutputWidget describes a coloured rectangle primitive in a Fyne canvas
type OutputWidget struct {
	widget.BaseWidget

	CreateRenderer() WidgetRenderer
}

// NewOutputWidget returns a new OutputWidget instance
func NewOutputWidget(color color.Color) *OutputWidget {
	return &OutputWidget{}
}

// MinSize of panel
func (l *OutputWidget) MinSize() fyne.Size {
	return fyne.NewSize(320, 200)
}

// CreateRenderer gets the widget renderer
func (t *Table) CreateRenderer() fyne.WidgetRenderer {
	return widget.new
}

/*
// NewOutputWidget Creates a new widget for outputting the patterns recieved over UDP
func NewOutputWidget() *fyne.Container {
	theBox := NewOutputWidget(theme.PrimaryColor())

	theBox.Resize(fyne.NewSize(320, 200))

	c := fyne.NewContainer(theBox)
	c.Resize(fyne.NewSize(320, 200))

	return c
}
*/
